summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 4ded271)
raw | patch | inline | side by side (parent: 4ded271)
author | janw <janw@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Fri, 16 Sep 2005 12:21:51 +0000 (12:21 +0000) | ||
committer | janw <janw@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Fri, 16 Sep 2005 12:21:51 +0000 (12:21 +0000) |
git-svn-id: https://oss.gonicus.de/repositories/gosa/trunk@1379 594d385d-05f5-0310-b6e9-bd551577e9d8
gen_locale.sh | patch | blob | history |
diff --git a/gen_locale.sh b/gen_locale.sh
index e134e202133824fa90c00b77087daa3cfa74e302..1417855a2c42430bd233c774ea32474cc27ba41c 100755 (executable)
--- a/gen_locale.sh
+++ b/gen_locale.sh
error=0
for f in locale/??/LC_MESSAGES; do
echo -n "* merging $f/messages.po: "
- [ -f $f/messages.po ] && msgmerge $f/messages.po locale/messages.po --output-file=$f/messages.po.new &> /dev/null || /bin/true
+ [ -f $f/messages.po ] && msgmerge $f/messages.po locale/messages.po --output-file=$f/messages.po.new &> /dev/null
+
+ # Do an extra check for dummy dir 'locale/en/LC_MESSAGES'
+ if [ $? -ne 0 ]; then
+ [ "$f" == "locale/en/LC_MESSAGES" ] && /bin/true
+ fi
+
if [ $? -eq 0 ]; then
echo "done";
else